Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juri Linkov <[email-masked]>
Date: Fri, 13 Dec 2019 01:44:17 +0200

>> 0. emacs -Q
>> 1. Eval: (progn (load-library "ldap") (customize-variable 'ldap-host-parameters-alist))
>> 2. Click the button "INS".
>> 3. Where are the input fields?  I don't see any.  Are they lost?
>>    These fields were visible in the previous version.
>>    Ah, this is the :extend fallout in action.
>>
>> That means this patch is in order:
>
> Thanks, please install.

Installed.

>> I wonder how many similar fields shrunk to the size of the cursor
>> still exist.  Maybe web forms in eww?
>
> I also wonder.  Patches to fix any breakage are welcome.

Actually there is no problem in eww because eww-form-text
fills the input field with 40 spaces by default, so the
field is clearly recognizable, even in absence of :extend.